Last Comment Bug 338803 - Personal Toolbar overflow chevron not properly updated on resize
: Personal Toolbar overflow chevron not properly updated on resize
Status: VERIFIED FIXED
fixed-seamonkey1.0.3
: fixed-seamonkey1.1a
Product: SeaMonkey
Classification: Client Software
Component: Bookmarks & History (show other bugs)
: Trunk
: x86 Windows XP
: -- normal (vote)
: ---
Assigned To: jag (Peter Annema)
:
Mentors:
: 305706 310776 (view as bug list)
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2006-05-22 03:45 PDT by jag (Peter Annema)
Modified: 2011-05-03 12:19 PDT (History)
6 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
Make the chevron code happy. (657 bytes, patch)
2006-05-22 03:51 PDT, jag (Peter Annema)
csthomas: review+
neil: superreview+
Details | Diff | Review
for 1.8 branch (625 bytes, patch)
2006-05-22 08:50 PDT, Chris Thomas (CTho) [formerly cst@andrew.cmu.edu cst@yecc.com]
jag-mozilla: review+
neil: superreview+
csthomas: approval‑seamonkey1.0.3+
iann_bugzilla: approval‑seamonkey1.1a+
Details | Diff | Review

Description jag (Peter Annema) 2006-05-22 03:45:13 PDT
It checks that the event.target == document when it should be checking that event.target == window (this changed somewhere between 1.7 and 1.9). Patch coming up.
Comment 1 jag (Peter Annema) 2006-05-22 03:51:02 PDT
Created attachment 222841 [details] [diff] [review]
Make the chevron code happy.
Comment 2 jag (Peter Annema) 2006-05-22 07:10:42 PDT
Checking in bookmarksMenu.js;
/cvsroot/mozilla/xpfe/components/bookmarks/resources/bookmarksMenu.js,v  <--  bookmarksMenu.js
new revision: 1.25; previous revision: 1.24
done
Comment 3 Chris Thomas (CTho) [formerly cst@andrew.cmu.edu cst@yecc.com] 2006-05-22 08:50:16 PDT
Created attachment 222869 [details] [diff] [review]
for 1.8 branch

Some quick testing doesn't show any breakage, but I couldn't really reproduce the original problem on 1.8.1 anyway.
Comment 4 neil@parkwaycc.co.uk 2006-05-22 09:34:37 PDT
Comment on attachment 222869 [details] [diff] [review]
for 1.8 branch

>-    else if (event.target != document)
>-      return; // only interested in chrome resizes
>+    // XXXcst - work around bug 295340 (broken event targets) on 1.8 branch
>+    //else if (event.target != document)
>+    //  return; // only interested in chrome resizes
Nit: you could have used /* ... */ to avoid changing lines
Comment 5 Chris Thomas (CTho) [formerly cst@andrew.cmu.edu cst@yecc.com] 2006-05-27 19:48:42 PDT
Are there issues on 1.8.0.x too?  Would the 1.8 patch fix them, if they exist?  If so, we should do this for SM1.0.3.
Comment 6 neil@parkwaycc.co.uk 2006-05-28 02:24:26 PDT
(In reply to comment #3)
>Some quick testing doesn't show any breakage, but I couldn't really reproduce
>the original problem on 1.8.1 anyway.
I think it depends on how you resize the window.

(In reply to comment #5)
>Are there issues on 1.8.0.x too?  Would the 1.8 patch fix them, if they exist? 
Yes, 1.8.0.x was cut from the 1.8.x branch.
Comment 7 Ian Neal 2006-05-30 07:20:08 PDT
Comment on attachment 222869 [details] [diff] [review]
for 1.8 branch

a=me for SM1.1a
first a=me for SM1.0.3
Comment 8 Stephen Donner [:stephend] 2006-06-06 21:54:51 PDT
*** Bug 305706 has been marked as a duplicate of this bug. ***
Comment 9 Stephen Donner [:stephend] 2006-06-19 13:26:40 PDT
I already verified this as fixed over in bug 305706.
Comment 10 Chris Thomas (CTho) [formerly cst@andrew.cmu.edu cst@yecc.com] 2006-07-01 08:24:50 PDT
Comment on attachment 222869 [details] [diff] [review]
for 1.8 branch

a=me,IanN
Comment 11 Andrew Schultz 2006-07-04 11:39:35 PDT
I landed attachment 222869 [details] [diff] [review] on the 1.8.0 branch
Comment 12 Philip Chee 2011-05-03 12:19:49 PDT
*** Bug 310776 has been marked as a duplicate of this bug. ***

Note You need to log in before you can comment on or make changes to this bug.